## ignition 2.14.0%2Bds1

=== .copr/Makefile ===
srpm:
	dnf install -y git
	curl -LOf https://src.fedoraproject.org/rpms/ignition/raw/rawhide/f/ignition.spec
	version=$$(git describe --always --tags | sed -e 's,-,\.,g' -e 's,^v,,'); \
	git archive --format=tar --prefix=ignition-$$version/ HEAD | gzip > ignition-$$version.tar.gz; \
	sed -ie "s,^Version:.*,Version: $$version," ignition.spec
	sed -ie 's/^Patch/# Patch/g' ignition.spec  # we don't want any downstream patches
	rpmbuild -bs --define "_sourcedir ${PWD}" --define "_specdir ${PWD}" --define "_builddir ${PWD}" --define "_srcrpmdir ${PWD}" --define "_rpmdir ${PWD}" --define "_buildrootdir ${PWD}/.build" ignition.spec
	mv *.src.rpm $$outdir

## ignition 2.13.0+ds1

=== debian/changelog ===
ignition (2.13.0+ds1-2ubuntu0.3) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update

 -- Allen Huang <allen.huang@canonical.com>  Fri, 15 Nov 2024 22:17:10 +0000

ignition (2.13.0+ds1-2ubuntu0.2) jammy-security; urgency=medium

  * No change build due to golang-1.18 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 02 May 2023 13:53:23 +0530

ignition (2.13.0+ds1-2ubuntu0.1) jammy-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Tue, 31 Jan 2023 12:34:25 +0100

ignition (2.13.0+ds1-2) unstable; urgency=medium

  * Limit vmware-vmw-guestinfo to amd64 and i386.

 -- Dominik George <natureshadow@debian.org>  Wed, 26 Jan 2022 13:23:21 +0100

ignition (2.13.0+ds1-1) unstable; urgency=medium

  * New upstream version

 -- Dominik George <natureshadow@debian.org>  Wed, 12 Jan 2022 11:08:21 +0100

ignition (2.12.0+ds1-1) unstable; urgency=medium

  * Initial release (Closes: #995764)

 -- Dominik George <natureshadow@debian.org>  Tue, 05 Oct 2021 12:20:07 +0200

=== debian/control ===
Source: ignition
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Cloud Team <debian-cloud@lists.debian.org>
Uploaders: Dominik George <natureshadow@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-golang,
               golang-any,
               golang-github-aws-aws-sdk-go-dev,
               golang-github-coreos-go-json-dev,
               golang-github-coreos-go-systemd-dev,
               golang-github-coreos-vcontext-dev,
               golang-github-google-renameio-dev,
               golang-github-google-uuid-dev,
               golang-github-pin-tftp-dev,
               golang-github-stretchr-testify-dev,
               golang-github-vincent-petithory-dataurl-dev,
               golang-github-vmware-vmw-guestinfo-dev [amd64 i386],
               golang-github-vmware-vmw-ovflib-dev,
               golang-go-semver-dev,
               golang-golang-x-net-dev,
               golang-golang-x-oauth2-google-dev,
               golang-golang-x-sys-dev,
               golang-google-api-dev,
               golang-google-cloud-dev,
               libblkid-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/cloud-team/ignition
Vcs-Git: https://salsa.debian.org/cloud-team/ignition.git
Homepage: https://github.com/coreos/ignition
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/coreos/ignition

Package: ignition
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: First boot installer and configuration tool
 Ignition is the utility invented for Fedora CoreOS and RHEL CoreOS to
 manipulate disks during the initramfs stage. This includes partitioning disks,
 formatting partitions, writing files (regular files, systemd units, etc.),
 and configuring users. On first boot, Ignition reads its configuration
 from a source of truth (remote URL, network metadata service, hypervisor
 bridge, etc.) and applies the configuration.
 .
 Ignition is primarily intended to be used in an initramfs built using
 dracut.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_BUILDPKG := \
    github.com/coreos/ignition/internal \
    github.com/coreos/ignition/validate

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source --no-binaries

override_dh_auto_test::

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/coreos/ignition/tags .*/v?(\d\S*)\.tar\.gz debian

## ignition 2.14.0+ds1

=== Makefile ===
export GO111MODULE=on

# Canonical version of this in https://github.com/coreos/coreos-assembler/blob/6eb97016f4dab7d13aa00ae10846f26c1cd1cb02/Makefile#L19
GOARCH:=$(shell uname -m)
ifeq ($(GOARCH),x86_64)
	GOARCH=amd64
else ifeq ($(GOARCH),aarch64)
	GOARCH=arm64
else ifeq ($(patsubst armv%,arm,$(GOARCH)),arm)
	GOARCH=arm
else ifeq ($(patsubst i%86,386,$(GOARCH)),386)
	GOARCH=386
endif

.PHONY: all
all:
	./build

.PHONY: install
install: all
	for x in dracut/*; do \
	  bn=$$(basename $$x); \
	  install -m 0644 -D -t $(DESTDIR)/usr/lib/dracut/modules.d/$${bn} $$x/*; \
	done
	chmod a+x $(DESTDIR)/usr/lib/dracut/modules.d/*/*.sh $(DESTDIR)/usr/lib/dracut/modules.d/*/*-generator
	install -m 0644 -D -t $(DESTDIR)/usr/lib/systemd/system systemd/ignition-delete-config.service
	install -m 0755 -D -t $(DESTDIR)/usr/lib/dracut/modules.d/30ignition bin/$(GOARCH)/ignition
	install -m 0755 -D -t $(DESTDIR)/usr/bin bin/$(GOARCH)/ignition-validate
	install -m 0755 -d $(DESTDIR)/usr/libexec
	ln -sf ../lib/dracut/modules.d/30ignition/ignition $(DESTDIR)/usr/libexec/ignition-rmcfg

.PHONY: vendor
vendor:
	@go mod vendor
	@go mod tidy

=== debian/changelog ===
ignition (2.14.0+ds1-1) unstable; urgency=medium

  * Team upload
  * New upstrem version
  * Fixes CVE-2022-1706 (Closes: #1014716)

 -- Christoph Senkel <christoph.senkel@credativ.de>  Wed, 27 Jul 2022 15:52:07 +0200

ignition (2.13.0+ds1-4) unstable; urgency=medium

  * Use a git-aware source format.
  * Use package version in binaries.

 -- Bastian Blank <waldi@debian.org>  Thu, 19 May 2022 15:43:34 +0200

ignition (2.13.0+ds1-3) unstable; urgency=medium

  * Team upload.
  * Remove myself from uploaders.
  * Add Michael Banck as uploader.

 -- Dominik George <natureshadow@debian.org>  Fri, 01 Apr 2022 13:17:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: ignition
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Cloud Team <debian-cloud@lists.debian.org>
-Uploaders: Dominik George <natureshadow@debian.org>
+Maintainer: Debian Cloud Team <debian-cloud@lists.debian.org>
+Uploaders: Michael Banck <mbanck@debian.org>
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -10,15 +9,17 @@
                dh-golang,
                golang-any,
                golang-github-aws-aws-sdk-go-dev,
+               golang-github-beevik-etree-dev,
                golang-github-coreos-go-json-dev,
                golang-github-coreos-go-systemd-dev,
                golang-github-coreos-vcontext-dev,
                golang-github-google-renameio-dev,
                golang-github-google-uuid-dev,
                golang-github-pin-tftp-dev,
+               golang-github-spf13-pflag-dev (>= 1.0.6~git20210604),
                golang-github-stretchr-testify-dev,
                golang-github-vincent-petithory-dataurl-dev,
-               golang-github-vmware-vmw-guestinfo-dev [amd64 i386],
+               golang-github-vmware-vmw-guestinfo-dev (>= 0.0~git20220317) [amd64 i386],
                golang-github-vmware-vmw-ovflib-dev,
                golang-go-semver-dev,
                golang-golang-x-net-dev,

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/default.mk
 
 export DH_GOLANG_BUILDPKG := \
     github.com/coreos/ignition/internal \
@@ -10,4 +12,8 @@
 override_dh_auto_install:
 	dh_auto_install -- --no-source --no-binaries
 
+override_dh_auto_build:
+	dh_auto_build -- \
+		-ldflags "-X 'github.com/coreos/ignition/internal/version.Raw=$(DEB_VENDOR) $(DEB_VERSION)'"
+
 override_dh_auto_test::
